 CREATE TABLE  CDM_Stg_Sip_Master  (
   Rec_Id  bigint(20) NOT NULL AUTO_INCREMENT,
   Rec_Is_Processed  tinyint(4) NOT NULL DEFAULT -1,
   Sip_Key  varchar(256) NOT NULL,
   Sip_Id  bigint(20) NOT NULL DEFAULT -1,
   Customer_Key  varchar(256) NOT NULL DEFAULT '',
   Customer_Id  bigint(20) NOT NULL DEFAULT -1,
   Product_Key  varchar(256) NOT NULL,
   Product_Id  bigint(20) NOT NULL DEFAULT -1,
   pan  varchar(100) NOT NULL,
   Sip_Fund  varchar(100) NOT NULL,
   Sip_Scheme  varchar(100) NOT NULL,
   Sip_Plan  varchar(100) NOT NULL,
   Sip_Schemeplan  varchar(100) DEFAULT NULL,
   Sip_Acno  varchar(100) NOT NULL,
   Sip_StartDate  varchar(100) DEFAULT NULL,
   Sip_Enddt  varchar(100) DEFAULT NULL,
   Sip_Ihno  varchar(100) NOT NULL,
   Sip_Branch  varchar(100) NOT NULL,
   Sip_Agent  varchar(100) DEFAULT NULL,
   Sip_Regdt  varchar(100) DEFAULT NULL,
   Sip_Frequency  varchar(100) DEFAULT NULL,
   Sip_Insttype  varchar(100) DEFAULT NULL,
   Sip_Instamt  decimal(15,4) NOT NULL DEFAULT 0.00,
   Sip_Noinstall  decimal(15,4) NOT NULL DEFAULT 0.00,
   Sip_Terminationdt  varchar(100) DEFAULT NULL,
   Sip_Status  varchar(100) DEFAULT NULL,
   Sip_Subbroker  varchar(100) DEFAULT NULL,
   Sip_Mocode  varchar(100) DEFAULT NULL,
   Sip_Remarks  varchar(255) DEFAULT NULL,
   Sip_Kboltregdt  varchar(100) DEFAULT NULL,
   Sip_Subtrtype  varchar(100) DEFAULT NULL,
   Sip_Polstatus  varchar(100) DEFAULT NULL,
   Sip_Urnno  varchar(100) NOT NULL,
   Sip_Prxy_branch  varchar(100) DEFAULT NULL,
   Sip_Riacode  varchar(100) DEFAULT NULL,
   Sip_Otmtype  varchar(100) DEFAULT NULL,
   Sip_Locationid  varchar(100) DEFAULT NULL,
   Created_Date  timestamp NOT NULL DEFAULT current_timestamp(),
   Modified_Date  timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY ( Rec_Id ),
  KEY  Cust_Id  ( Customer_Id ),
  KEY  Prod_Id  ( Product_Id ),
  KEY  Sip_STATUS  ( Sip_Status ),
  KEY  Sip_ihno  ( Sip_Ihno ),
  KEY  Sip_urnno  ( Sip_Urnno )
) ENGINE=InnoDB AUTO_INCREMENT=1024 DEFAULT CHARSET=latin1;

